<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("mes" . "sag" . "e" => base64_decode("bWVzc2Fn" . "ZQ=="), "_4c510e5adc7368560eb3d" . "d6ed429e5c5" => base64_decode("Li4vY29tbW9uL" . "3Byb2Nlc3Nfcm" . "VzcG9uc2UucGh" . "w"), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl" . "0bG" . "U="), "_b93155ab570822d94f80f2b49acbd" . "cde" => base64_decode("dXJsZG" . "Vjb2Rl"), "ur" . "l" => base64_decode("d" . "X" . "J" . "s"), "_a62d761f3e831f" . "f9d9da39f9c26ec" . "ddc" => base64_decode("Li4vY29tb" . "W9uL2Nvcm" . "UucGhw"), "_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d" => base64_decode("bG1zZw=" . "="), "_fe2579cea630b" . "e3ef73ecaa47a2" . "6a59f" => base64_decode("cGVvcGxlLm15X2luZm9iYXIuYm9va21hcm" . "tfYWRkZWQ="));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a62d761f3e831ff9d9da39f9c26ec" . "ddc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_b93155ab570822d94f80f2b49acb" . "dcde"](gpc::get($request, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["ur" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_b93155ab570822d94f80f2b49acb" . "dcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["ti" . "tl" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_fe2579ce" . "a630be3ef" . "73ecaa47a" . "26a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["me" . "ss" . "ag" . "e"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4c510e5adc73" . "68560eb3dd6ed" . "429e5c5"];